Bug 151019 - Archive file size limited such that it restricts activity
Archive file size limited such that it restricts activity
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-03-13 22:13 EST by J. William Cupp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-06 17:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description J. William Cupp 2005-03-13 22:13:05 EST
From Bugzilla Helper:
User-Agent: Opera/7.54 (X11; Linux i686; U)  [en]

Description of problem:
When making very large archive files -- such as when zipping an 
entire disk, or a large partition of a disk -- File Roller crashes 
once a certain file size for the archive file is crossed.  I don�t 
know what the threshold is, but I know I cross it regularly.  I�ve 
come up with some manual work arounds for archival work I do often, 
but the possibility always lurks that I will get surprised when 
working in a new area.  File Roller should have its maximum upper 
limit size increased an order of magnitude or so to deal with the 
fact that today�s documents grow to ridiculoulsy large sizes.  
Therefore, even with compression archives will also grow to large 

Version-Release number of selected component (if applicable):
File Roller 2.8.1

How reproducible:

Steps to Reproduce:
1.  Try to zip a large directory (i.e., a directory which has, 
including subdirectories) a large number of bytes to go into the 
archive file.

Actual Results:  File Roller crashes.  A command line output is 
available, and this reports that the file size was exceeded.  Any 
archive file which has been built thus far is corrupted and must 
simply be deleted.

Expected Results:  Well, I would have liked to get the .ZIP file.  
Failing that, it would be nice if the archive file up to the point 
the threshold is exceeded, is retained.  I ought to at least get the 
archive which holds as many input files as it can before the upper 
size limit is maxed out.

Additional info:
Comment 1 Christopher Aillon 2006-03-06 17:19:20 EST
Seems to work fine in rawhide (which will become FC5 in a few days).  Closing,
but reopen if you see this still on the latest RPMs.

Note You need to log in before you can comment on or make changes to this bug.